Bug Hunting Session
Bug 124698 - CRASH: closing authentication dialog after LibreOffice
Summary: CRASH: closing authentication dialog after LibreOffice
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-12 08:26 UTC by Xisco Faulí
Modified: 2019-04-23 13:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SfxItemSet::Get(unsigned short,bool)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-04-12 08:26:17 UTC
Steps to reproduce:
1. Open attachment from bug 54342
2. Scroll down a few pages - The authentication dialog will be prompted
3. Close LibreOffice
4. Close the dialog

-> Crash!

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 040a54d89e8ca33171e86647ced8dc58efd85fbe
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-04-12 08:48:39 UTC
The problem start to happen after https://cgit.freedesktop.org/libreoffice/core/commit/?id=9fb7aaf570c03c8a26d763f1205fb8c890e8211a. Before it, the dialog was displayed at loading time...

@Caolán, I thought you might be interested in this issue...
Comment 2 m.a.riosv 2019-04-12 09:38:01 UTC
Repro
Crash report:
crashreport.libreoffice.org/stats/crash_details/858b3e19-3475-4225-8b87-34eba2e333ac
Version: 6.2.3.1 (x64)
Build ID: 9ba025bafb03b962c34687cf87806cc03a3a7436
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US
Calc: CL
Comment 3 Commit Notification 2019-04-12 20:19:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7a092e254111a2d98446e7140ef24c652c245bfa%5E%21

Resolves: tdf#124698 bubble down parent for modal dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-04-12 20:23:00 UTC
backport to 6-2 in gerrit
Comment 5 Xisco Faulí 2019-04-15 10:36:15 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 0eaa0804085dd6e93257dd31361490720456679d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-04-23 13:13:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ab401b59209ae6bd0d050558063800409278e8c8%5E%21

Resolves: tdf#124698 bubble down parent for modal dialog

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.